/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package tpn6.controladores.direcciones;

import java.io.IOException;
import javafx.application.Application;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.layout.AnchorPane;
import javafx.scene.layout.BorderPane;
import javafx.stage.Stage;
import tpn6.controladores.direcciones.clases.Persona;
import tpn6.controladores.direcciones.vistas.ControladorDeVistaDePersona;

/**
 *
 * @author F
 */
public class Principal extends Application {
    
    private Stage escenarioPrincipal;
    private BorderPane disenioRaiz;
  
 private ObservableList<Persona> personas = FXCollections.observableArrayList();
    
    @Override
    public void start(Stage escenarioPrincipal) {
      
        this.escenarioPrincipal = escenarioPrincipal;
        this.escenarioPrincipal.setTitle("Aplicación De Personas");

        inicializarDisenioRaiz();

        MostrarVistaPersona();
     
        
    }
           //Los datos como una lista observable de personas
   
    public Principal(){
        
   
        //Se agrega algunos datos de muestra
     
        
        personas.add(new Persona("Hans", "Muster"));
        personas.add(new Persona("Ruth", "Mueller"));
        personas.add(new Persona("Heinz", "Kurz"));
        personas.add(new Persona("Cornelia", "Meier"));
        personas.add(new Persona("Werner", "Meyer"));
        personas.add(new Persona("Lydia", "Kunz"));
        personas.add(new Persona("Anna", "Best"));
        personas.add(new Persona("Stefan", "Meier"));
        personas.add(new Persona("Martin", "Mueller"));
    }
    //Devuelve los datos de una lista observable de personas
    
    public ObservableList<Persona> obtenerDatosDePersonas() {
        return personas;
    }
    //inicializa el diseño de raiz
    public void inicializarDisenioRaiz(){
        
          
        try {
            // carga el diseño raiz desde un archivo fxml
            FXMLLoader cargador = new FXMLLoader();
            cargador.setLocation(Principal.class.getResource("vistas/DisenioRaiz.fxml"));
            disenioRaiz = (BorderPane) cargador.load();
            
            // Muestra la escena que contiene el diseño raiz
            Scene escena = new Scene(disenioRaiz);
            escenarioPrincipal.setScene(escena);
            escenarioPrincipal.show();
        } catch (IOException ex) {
            ex.printStackTrace();
        }
      
    }
    //Muestra la vista persona dentro del diseño raiz
public void MostrarVistaPersona(){
     try {
            // Muestra la vista persona
            FXMLLoader cargador = new FXMLLoader();
            cargador.setLocation(Principal.class.getResource("vistas/VistaDePersona.fxml"));
            AnchorPane vistaPersona = (AnchorPane) cargador.load();
            
            // Establece la vista de persona en el centro del diseño raiz.
            disenioRaiz.setCenter(vistaPersona);
            
            //Da al controlador acceso a la aplicación principal
            
            ControladorDeVistaDePersona controladorVistaPersona = cargador.getController();
            controladorVistaPersona.modificarAplicacionPrincipal(this);
        } catch (IOException e) {
            e.printStackTrace();
        }
}
//Devuelve el escenario principal

public Stage obtenerEscenarioPrincipal(){
    return escenarioPrincipal;
}
    
    public static void main(String[] args) {
        launch(args);
    }
    
}
