
package tpn6.controladores.direcciones.clases;

import java.time.LocalDate;

import javafx.beans.property.IntegerProperty;
import javafx.beans.property.ObjectProperty;
import javafx.beans.property.SimpleIntegerProperty;
import javafx.beans.property.SimpleObjectProperty;
import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;

//modela la clase para una persona
public class Persona {
    
    private final StringProperty nombre;
    private final StringProperty apellido;
    private final StringProperty direccion;
    private final IntegerProperty codigoPostal;
    private final StringProperty ciudad;
    private final ObjectProperty<LocalDate> fechaDeNacimiento;
    
    //constructor por defecto
    
    public Persona(){
        this(null, null);
    }
    //Constructor con algunos datos iniciales

   
    public Persona(String nombre, String apellido){
        
        this.nombre = new SimpleStringProperty(nombre);
        
        this.apellido = new SimpleStringProperty(apellido);
      
        //Algunos datos ficticios que servirán de prueba.
        
        this.direccion = new SimpleStringProperty("");
        
        this.codigoPostal = new SimpleIntegerProperty(1111);
        
        this.ciudad = new SimpleStringProperty("");
        
        this.fechaDeNacimiento = new SimpleObjectProperty<LocalDate>(LocalDate.of(1999, 3, 14));
        
    }
    public String obtenerNombre(){
        return nombre.get();
    }
    public void modificarNombre(String nombre){
        this.nombre.set(nombre);
    }
    public StringProperty propiedadNombre(){
        return nombre;
    }
    public String obtenerApellido() {
        return apellido.get();
    }

    public void modificarApellido(String apellido) {
        this.apellido.set(apellido);
    }
    
    public StringProperty propiedadApellido() {
        return apellido;
    }
    public String obtenerDireccion() {
        return direccion.get();
    }

    public void modificarDireccion(String direccion) {
        this.direccion.set(direccion);
    }
    
    public StringProperty propiedadDireccion() {
        return direccion;
    }
     public int obtenerCodigoPostal() {
        return codigoPostal.get();
    }

    public void modificarCodigoPostal(int codigoPostal) {
        this.codigoPostal.set(codigoPostal);
    }
    
    public IntegerProperty propiedadCodigoPostal() {
        return codigoPostal;
    }
    public String obtenerCiudad() {
        return ciudad.get();
    }

    public void modificarCiudad(String ciudad) {
        this.ciudad.set(ciudad);
    }
    
    public StringProperty propiedadCiudad() {
        return ciudad;
    }
    public LocalDate obtenerFechaDeNacimiento() {
        return fechaDeNacimiento.get();
    }

    public void modificarFechaDeNacimiento(LocalDate fechaDeNacimiento) {
        this.fechaDeNacimiento.set(fechaDeNacimiento);
    }
    
    public ObjectProperty<LocalDate> propiedadFechaDeNacimiento() {
        return fechaDeNacimiento;
    }

    
}

    
    

